# Uses of Class
org.apache.lucene.queries.spans.SpanMultiTermQueryWrapper.SpanRewriteMethod

Packages that use SpanMultiTermQueryWrapper.SpanRewriteMethod
Package
Description
org.apache.lucene.queries.spans
The calculus of spans.

- ## Uses of SpanMultiTermQueryWrapper.SpanRewriteMethod in org.apache.lucene.queries.spans

  Subclasses of SpanMultiTermQueryWrapper.SpanRewriteMethod in org.apache.lucene.queries.spans
  Modifier and Type
  Class
  Description
  `static final class`
  `SpanMultiTermQueryWrapper.TopTermsSpanBooleanQueryRewrite`
  A rewrite method that first translates each term into a SpanTermQuery in a `BooleanClause.Occur.SHOULD` clause in a BooleanQuery, and keeps the scores as computed by the query.
  Fields in org.apache.lucene.queries.spans declared as SpanMultiTermQueryWrapper.SpanRewriteMethod
  Modifier and Type
  Field
  Description
  `static final SpanMultiTermQueryWrapper.SpanRewriteMethod`
  SpanMultiTermQueryWrapper.`SCORING_SPAN_QUERY_REWRITE`
  A rewrite method that first translates each term into a SpanTermQuery in a `BooleanClause.Occur.SHOULD` clause in a BooleanQuery, and keeps the scores as computed by the query.
  Methods in org.apache.lucene.queries.spans that return SpanMultiTermQueryWrapper.SpanRewriteMethod
  Modifier and Type
  Method
  Description
  `final SpanMultiTermQueryWrapper.SpanRewriteMethod`
  SpanMultiTermQueryWrapper.`getRewriteMethod()`
  Expert: returns the rewriteMethod
  Methods in org.apache.lucene.queries.spans with parameters of type SpanMultiTermQueryWrapper.SpanRewriteMethod
  Modifier and Type
  Method
  Description
  `final void`
  SpanMultiTermQueryWrapper.`setRewriteMethod(SpanMultiTermQueryWrapper.SpanRewriteMethod rewriteMethod)`
  Expert: sets the rewrite method.